Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 329145 - [gnome-overlay] media-libs/freetype-2.4.1 depency conflict at upgrade
Summary: [gnome-overlay] media-libs/freetype-2.4.1 depency conflict at upgrade
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-20 16:54 UTC by tman
Modified: 2010-07-21 20:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tman 2010-07-20 16:54:12 UTC
emerge -uDNav world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 kB

!!! One or more updates have been skipped due to a dependency conflict:

media-libs/freetype:2

  ('ebuild', '/', 'media-libs/freetype-2.4.1', 'merge') conflicts with
    media-libs/freetype[-cleartype,-ubuntu] required by ('installed', '/', 'x11-libs/libXft-2.1.14', 'nomerge')


!!! The following installed packages are masked:
- dev-lang/vala-0.9.1 (masked by: package.mask)
/usr/portage/local/layman/gnome/profiles/package.mask:
# Jonathan Callen <abcd@gentoo.org> (23 Jun 2010)
# Mask dev version

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


Nothing to merge; would you like to auto-clean packages? [Yes/No] 


Reproducible: Always




Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-r2-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P9700_@_2.80GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 20 Jul 2010 16:30:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/X11/Sessions/awesome /etc/X11/Sessions/dwm /etc/X11/xorg.conf /etc/apache2/httpd.conf /etc/conf.d/hwclock /etc/conf.d/keymaps /etc/fstab /etc/make.conf /etc/xdg/openbox/autostart.sh /etc/xdg/openbox/menu.xml /etc/xdg/openbox/rc.xml /etc/xdg/openbox/start /usr/share/X11/xkb /usr/share/xsessions/openbox.desktop /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests buildpkg distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="de en vi"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/emacs /usr/portage/local/layman/scarabeus /usr/portage/local/layman/science /usr/portage/local/layman/enlightenment /usr/portage/local/layman/webapps-experimental /usr/portage/local/layman/qting-edge /usr/portage/local/layman/gnome /usr/portage/local/layman/devnull /usr/portage/local/layman/lorelei /usr/portage/local/layman/roslin /usr/portage/local/layman/techwolf /usr/portage/local/layman/mpd /usr/portage/local/local-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib accessibility acl acpi adns afs aim alsa amd64 ao apache2 ass atm audio audiofile bash-completion beagle berkdb bidi bluetooth bzip2 cairo caps cdda cdio cdparanoia cdr cgi cjk clamdtop cli clisp consolekit cracklib crypt cscope css csv cups curl curlwrappers cvs cxx dbus dc1394 dga dhcp dhcpcd dia dirac directfb dmx dri dts dv dvd dvdr dvi emacs enca encode enscript exceptions exif expat extras faac faad fam fastcgi fbcon ffmpeg firefox flac flash fortran ftp fuse gcj gd gdbm geoip ggi gif gimp git glib gmp gnome gnome-keyring gnutls gphoto2 gpm graphviz gs gstreamer gtk gzip hal hash hddtemp highlight httpd iconv icq icu idn ieee1394 imagemagick imap imlib ipv6 ithreads jabber jack java java6 javascript jingle joystick jpeg jpeg2k kerberos lame lapack latex lcms ldap libcaca libwww live logrotate lua lzo mad maildir matroska mbrola md5sum memlimit mercurial mhash midi mikmod milter mime mjpeg mmap mmx mmxext mng mono motif mp3 mp4 mpeg mplayer msn mudflap mule multilib musepack mysql nas nautilus ncurses netboot network networkmanager nfs nls nptl nptlonly nsplugin nvidia ogg ogg123 openal openexr opengl openmp oss pam pcap pcmcia pcre pdf perl php pic pidgin png policykit posix postgres ppds ps pulseaudio python qt3support qt4 quicktime radio rar raw rdesktop readline reflection rss rtsp ruby samba sasl savedconfig schroedinger sdl sdl-image session sip slang slp smp soap sockets sox spamassassin speex spell spl sqlite sse sse2 ssl ssse3 stream stun subversion svg swat sysfs syslog sysvipc tcl tcpd theora threads tidy tiff timidity tk tokenizer truetype udev unicode urandom usb userlocales v4l v4l2 vcd vhosts video vim-syntax vlm vnc vorbis wav wavpack webkit wifi wma wmf wxwidgets x264 xattr xcb xcomposite xft xinerama xinetd xml xmlrpc xorg xpm xscreensaver xsl xulrunner xv xvid xvmc yahoo zip zlib zsh-completion" ALSA_CARDS="hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES=" actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation php5 proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="keyboard synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en vi" RUBY_TARGETS="ruby18 jruby" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa fbdev vga nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gilles Dartiguelongue gentoo-dev 2010-07-21 11:34:40 UTC
According to http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=tree;f=media-libs;h=638ada8374bd9b9fc918e83b8cd331e93950235b;hb=HEAD,

we do not ship freetype nor libXft. These ebuilds must be from another overlay.
Comment 2 Jeroen Roovers gentoo-dev 2010-07-21 12:02:01 UTC
Oops. Yes, this should be fixed in whatever overlay caused this conflict.
Comment 3 tman 2010-07-21 20:19:18 UTC
oh yes in devnull overlay